Gimp y Geany no arrancan en Kubuntu 11.04 [Solucionado]

Buenas...

Hoy estoy estrenando el nuevo Kubuntu 11.04 pero ya le había echado un vistazo a la beta 2. El caso es que ni entonces en la beta 2 ni ahora puedo ejecutar programas como el GIMP o GEANY. Vamos, los instalo pero no arrancan. No sé si es que me hace falta alguna dependencia más de GTK+. Tengo instalado el build-essential

¿A alguien más le pasa? ¿Me estoy saltando algún paso previo?

Saludos y gracias por adelantado.

¿Cómo los has instalado? ¿Has probado a lanzarlos desde consola a ver si funcionan o al menos qué error te dan?
Si no los has compilado build-essential no tiene nada que ver.

Pues el geany lo instalé por consola por "sudo apt-get install geany" y el gimp por el kpackagemanager. Intento que arranquen por el menú o por "ejecutar orden" pero en ningún caso arrancan.

En los registros del sistema ( ksystemlog ) encuentro lo siguiente referente al geany:

kernel [13285.140140] geany[5392]: segfault at 4 ip 00b216ff sp bfe768b0 error 6 in libgtk-x11-2.0.so.0.2400.4[924000+3d1000]

Y respecto al gimp:

29-04-11 17:51:12 kernel [ 6688.539953] gimp-2.6[3512]: segfault at 4 ip 0111f6ff sp bfeac450 error 6 in libgtk-x11-2.0.so.0.2400.4[f22000+3d1000]

¿ Vosotros si podéis lanzar al menos el gimp ?

reinstálalos con aptitude por curiosidad, a ver qué tal resulta.

No tengo ni he tenido 110.04 asi que no te puedo decir si a mí me funcionan o no.

pues sin novedades desde consola:

sudo aptitude remove --purge geany

The following packages will be REMOVED:
  geany geany-plugin-addons{a} geany-plugin-codenav{a} geany-plugin-doc{a} geany-plugin-extrasel{a} geany-plugin-gdb{a} geany-plugin-gendoc{a} geany-plugin-insertnum{a}
  geany-plugin-latex{a} geany-plugin-lipsum{a} geany-plugin-lua{a} geany-plugin-prettyprinter{a} geany-plugin-prj{a} geany-plugin-sendmail{a} geany-plugin-shiftcolumn{a}
  geany-plugin-spellcheck{a} geany-plugin-treebrowser{a} geany-plugin-updatechecker{a} geany-plugin-vc{a} geany-plugin-webhelper{a} geany-plugins{a} geany-plugins-common{a} libctpl2{pu}
0 packages upgraded, 0 newly installed, 23 to remove and 0 not upgraded.                                                                                                                     
Need to get 0 B of archives. After unpacking 10,8 MB will be freed.                                                                                                                          
Do you want to continue? [Y/n/?] y                                  

y después:

sudo aptitude install geany

The following NEW packages will be installed:
  geany
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/2702 kB of archives. After unpacking 7688 kB will be used.
Seleccionando el paquete geany previamente no seleccionado.
(Leyendo la base de datos ... 128222 ficheros o directorios instalados actualmente.)
Desempaquetando geany (de .../geany_0.20-0ubuntu2_i386.deb) ...
Procesando disparadores para hicolor-icon-theme ...
Procesando disparadores para man-db ...
Configurando geany (0.20-0ubuntu2) ...
                                        

y tampoco arranca desde el menú ni desde "ejecutar orden" ( desde consola no sé ). En el visor de registros sigue dando un error similar:

30-04-11 22:14:43 kernel [10811.082316] geany[7115]: segfault at 4 ip 006276ff sp bfb5ab80 error 6 in libgtk-x11-2.0.so.0.2400.4[42a000+3d1000]

¿Probaste ejecutarlo desde consola para ver qué error da?

ah, pues por aquí hay novedades. Iniciandolos desde consola ( he investigado un poco porque no sabía ) me da el siguiente error:

~$ geany
Violación de segmento

~$ gimp                                                                                                                                                                     
                                                                                                                                                                                             
(gimp:6873): GLib-WARNING **: /build/buildd/glib2.0-2.28.6/./glib/goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 0                                    
Violación de segmento

A partir de ese error he buscado por internet y para el gimp he encontrado la solución aquí:

$ gimp -i

Se ejecuta en consola y aparentemente no pasa nada pero al lanzar el programa normalmente desde el menú si va. Gimp ya funciona. Pero por ahora no he tenido la misma suerte con Geany.

geany -i no hace nada ni consigue lanzar el programa. He buscado pero por ahora nada. ¿ Alguna sugerencia o será un problema del propio programa con las versiones nuevas del kernel ?

Puede que sea este bug: https://bugs.launchpad.net/ubuntu/+source/geany/+bug/741658

El comentario 7 dice que parece ser un problema con el tema gtk-oxygen en KDE 4.6
Funcionaría utilizando otro tema para las aplicaciones GTK+

¡ Buah, que crack ! Muchísimas gracias por tu ayuda, Juanma-RR. ¡ Problema solucionado ! ¡Con lo bien que me viene poder utilizar el Geany!

Efectivamente el problema está en el tema gtk-oxygen. Cambiandolo por la otra opción Geany arranca sin problemas.

¡Muchas gracias, de verdad! ¡Es grato ver que con el tiempo la opción del software libre es una sabia elección, sobretodo con una comunidad así!

Marco el tema como solucionado. ¡Un saludo!

Hola necesito de su ayuda soy nuevo en Kubuntu, me parecio excelente, el asunto es el siguiente necesito programar en geany ya lo instale pero no me arranca, ya cambie el tema de oxygen pero nada no puedo arrancar el geany, quisiera saber si hay que instalar algun plugin o algo para que arranque..

gracias por su ayuda..............

Amigo tengo el mismo problema con el geany ya hice lo que usted recomendo pero nada no quiere correr..
necesito de su ayuda urgente...

Gracias de ante mano..

Le dejo mi correo nopublicaremi@mail.com